package com.muyu.template;

import com.muyu.common.domain.SysCar;
import com.muyu.common.domain.Template;
import com.muyu.common.domain.WarnRule;
import com.muyu.common.domain.WarnStrategy;
import com.muyu.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;
/**
 * @author liuxinyue
 * @Package：com.muyu.template
 * @name：test
 * @Date：2024/10/4 9:42
 */
public class test {

    @Resource
    private RedisService redisService;

    public void main(String[] args) {

        //车类型
        Long carTypeId=null;
        //查找车对应的类型
        List<SysCar> carList = redisService.getCacheList("car");
        for (SysCar sysCar : carList) {
            if(sysCar.getCarVin().equals("")){
                //获取到车的类型ID
                 carTypeId = sysCar.getCarTypeId();
            }
        }

        //查找车类型对应的策略
        List<WarnStrategy> warnStrategyList = null;
        //该车绑定的报文模版
        Long templateId=null;
        //获取到车的类型之后 查找对应的策略
        List<WarnStrategy> warnStrategy = redisService.getCacheList("warnStrategy");
        for (WarnStrategy strategy : warnStrategy) {
            if(strategy.getCarTypeId().equals(carTypeId)){
                templateId=strategy.getTemplateId();
                warnStrategyList.add(strategy);
            }
        }

        //根据ID取出对应的报文模版
        List<Template> templateList = redisService.getCacheList("template");

        //获取策略对应的规则列表
        List<WarnRule> warnRule = redisService.getCacheList("warnRule");

        List<WarnRule> warnRuleList = null;



    }

}
